# Revoke client secret

Revokes the specified client secret. Fails if the secret is the only active one for the client. To authorize a request, use an access token for the relevant application. <br><br>**Required permissions**: `apps:delete`, `[appId]:delete`, `apps:create`, `[appId]:create`, `apps:edit`, `[appId]:edit`.

Endpoint: DELETE /v1/clients/{clientId}/secrets/{secretId}
Security: ClientAccessToken

## Path parameters:

  - `clientId` (string, required)
    ID of the client

  - `secretId` (string, required)
    ID of the secret to revoke

## Response 400 fields (application/json):

  - `message` (array, required)
    Example: Bad request

  - `error_code` (number, required)
    Example: 400

## Response 404 fields (application/json):

  - `message` (string, required)

  - `error_code` (number, required)
    Example: 404

